@tailwind base;
@tailwind components;
@tailwind utilities;

@layer components {
    nav.main-nav {
        @apply w-full grid grid-cols-1 md:grid-cols-2
    }

    nav.main-nav > ul {
        @apply flex flex-col md:flex-row w-full items-center justify-end relative;
    }

    nav.main-nav > ul ul {
        @apply hidden absolute p-2 bg-white rounded-md drop-shadow-sm;
    }

    nav.main-nav li {
        @apply w-full md:w-auto text-center;
    }
    nav.main-nav li:hover ul {
        @apply block;
    }

    nav.main-nav li a {
        @apply font-semibold mx-5 my-10 p-2;
    }

    nav.main-nav > ul ul li {
        @apply py-2 text-left;
    }

    nav.main-nav > ul ul li a {
        @apply mx-2;
    }

    nav.main-nav li a.active {
        @apply font-bold bg-slate-200 rounded-md;
    }
}
